:root {
  --color-text: #000;
  --color-link: #000;
  --color-muted: #ccc;
  --color-primary: #000;
  --color-secondary: #000;
}
body,
.uk-section-default,
.uk-section-primary {
  background-image: url(/images/noise-bg.png);
  background-repeat: repeat;
  background-size: auto;
}

.text-indent {
  text-indent: 2em;
}

.uk-link-text {
  font-size: 20px;
  letter-spacing: 0.25px;
  text-decoration: underline 1px;
  font-family: Newsreader;
  text-underline-offset: 4px;
}

.uk-link-text:hover {
  text-decoration: none;
}
.uk-text-xsmall {
  text-transform: none !important;
}

.uk-button.uk-button-text:hover {
  text-decoration: underline;
}
html[style="overflow-y: clip; touch-action: none;"]
  .tm-header-mobile
  .uk-navbar-container {
  /* background: rgba(51, 51, 51, 1);
  color: #f2f0ed; */
}
.tm-header-mobile .uk-navbar-container nav {
  /* border-bottom: 1px solid rgba(51, 51, 51, 0.5); */
}
html[style="overflow-y: clip; touch-action: none;"]
  .tm-header-mobile
  .uk-navbar-container
  nav {
  /* border-bottom: 1px solid rgba(242, 240, 237, 0.5); */
}
html[style="overflow-y: clip; touch-action: none;"]
  .tm-header-mobile
  .uk-navbar-container
  * {
  /* color: #f2f0ed; */
}
/* Toggle */
.uk-navbar-toggle .close,
.uk-navbar-toggle[aria-expanded="true"] .open,
.uk-navbar-toggle[aria-expanded="false"] .close {
  display: none;
}
.uk-navbar-toggle[aria-expanded="false"] .open,
.uk-navbar-toggle[aria-expanded="true"] .close {
  display: inline-block;
}
.uk-navbar-toggle *,
.uk-navbar-toggle {
  font-weight: 300;
}
.uk-drop.uk-open::after {
  /* content: "";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: red; */
}
html #tm-main::before {
  content: "";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(51, 51, 51, 0.4);
  opacity: 0;
  z-index: 10;
  pointer-events: none;
}
html[style="overflow-y: clip; touch-action: none; scrollbar-gutter: stable;"]
  #tm-main::before {
  pointer-events: all;
  opacity: 1;
}
/* Lesitungen grid */
.leistungen-grid a * {
  transition:
    opacity 0.4s cubic-bezier(0.22, -0.03, 1, 1),
    width 0.7s cubic-bezier(0.49, 0.62, 0.17, 1),
    height 0.7s cubic-bezier(0.49, 0.62, 0.17, 1);
}
.leistungen-grid .el-content {
  max-width: 600px;
}
.leistungen-grid a .el-link {
  opacity: 0;
}
.leistungen-grid a:hover .el-link {
  opacity: 1;
}
.leistungen-grid a img {
  object-fit: cover;
  height: 200px;
}
.leistungen-grid a:hover img {
  height: 300px;
}
@media (max-width: 639px) {
  .leistungen-grid img {
    display: none;
  }
  .leistungen-grid a .el-link {
    opacity: 1;
  }
  .uk-slidenav-previous{
  transform: translate(-50%) !important;
}
.uk-slidenav-next{
  transform: translate(50%) !important;
}
}
/* Video ! */
#video-btn {
  display: block;
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  margin: 0 !important;
  color: transparent;
}
.cursor {
  position: absolute;
  top: 0;
  left: 0;
  transform: scale(0) translate(-50%, -50%) !important;
  pointer-events: none;
  z-index: 9999;
  transform-origin: left top;
  opacity: 1;
  transition:
    width 0.2s ease-out,
    height 0.2s ease-out,
    opacity 0.2s ease-out,
    transform 0.2s ease-out;
  width: 140px;
  height: 140px;
  text-align: center;
  color: #f9f8f6;
  font-weight: 500;
}
.cursor p {
  margin-top: 10px;
}

.cursor.over-video {
  transform: scale(1) translate(-50%, -50%) !important;
  opacity: 1;
  /* height: 140px;
  width: 140px; */
}

@media (max-width: 639px) {
  .cursor.over-video {
    opacity: 0 !important;
    height: 0px !important;
    width: 0px !important;
  }
}

#modal-media-video > div,
#modal-media-video video {
  max-height: 100%;
  height: 100%;
}
@media (max-width: 959px) {
  #main-section-video::before {
    content: "";
    pointer-events: none;
    height: 100%;
    display: block;
    width: 100%;
    background: linear-gradient(
      90deg,
      rgba(22, 22, 22, 0.35) 1%,
      rgba(22, 22, 22, 0.1) 33%,
      rgba(22, 22, 22, 0.1) 66%,
      rgba(22, 22, 22, 0.35) 100%
    );
    z-index: 1;
    position: absolute;
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
    mix-blend-mode: multiply;
  }
}

/* Visforms */
.visforms .uk-margin-medium-top {
  margin-top: 0 !important;
}
.visforms .field6 .uk-margin-small-top {
  margin-top: 0 !important;
}
.visforms .uk-flex-center {
  justify-content: flex-start;
}
.visforms fieldset > div > div {
  position: relative;
}
.visforms .errorcontainer {
  position: absolute;
  top: 12px;
  right: 0;
  background: red;
  padding: 0 15px;
  line-height: 1;
}
.visforms .field5 .errorcontainer,
.visforms .field17 .errorcontainer {
  top: -18px;
}
.visforms .errorcontainer * {
  color: white !important;
  font-size: 11px;
  line-height: 1.9;
}
.visforms #field32 {
    background: transparent;
}
#system-message-container {
  position: fixed;
  width: 80%;
  max-width: 1200px;
  min-width: 300px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 999999;
}
#system-message-container joomla-alert {
  border-radius: 0;
  border: none;
  background: var(--color-primary);
  color: white !important;
  padding: 35px 25px;
}
#system-message-container joomla-alert .joomla-alert--close {
  color: white !important;
  opacity: 1;
  font-weight: 300;
  font-size: 30px;
  line-height: 10px;
}
.deco-1,
.deco-2,
.deco-3 {
  position: relative;
}
.deco-4 {
  position: absolute;
}
.deco-1::before,
.deco-1::after,
.deco-2::before,
.deco-2::after,
.deco-3::before,
.deco-3::after,
.deco-4::before,
.deco-4::after {
  content: "";
  position: absolute;
  display: block;
  right: -75px;
  top: -75px;
  width: 150px;
  height: 150px;
  background-position: center;
  background-repeat: no-repeat;
  z-index: 9;
}
.deco-2::before,
.deco-2::after {
  right: auto;
  left: -75px;
}
.deco-3::before,
.deco-3::after {
  right: calc(50% - 75px);
  top: calc(50% - 75px);
}
.deco-1::before {
  background-image: url("/images/deco-1-1.svg");
}
.deco-1::after {
  background-image: url("/images/deco-1-2.svg");
  animation: rotateInfinite 10s linear infinite;
}
.deco-2::before {
  background-image: url("/images/deco-2-1.svg");
}
.deco-2::after {
  background-image: url("/images/deco-2-2.svg");
  animation: rotateInfinite 10s linear infinite;
}
.deco-3::before {
  background-image: url("/images/deco-3-1.svg");
}
.deco-3::after {
  background-image: url("/images/deco-3-2.svg");
  animation: rotateInfinite 10s linear infinite;
  right: calc(50% - 70px);
}
.deco-3.light::before {
  background-image: url("/images/deco-5-1.svg");
}
.deco-3.light::after {
  background-image: url("/images/deco-5-2.svg");
}
.deco-4::before {
  background-image: url("/images/deco-4-1.svg");
}
.deco-4::after {
  background-image: url("/images/deco-4-2.svg");
  animation: rotateInfinite 10s linear infinite;
}
@keyframes rotateInfinite {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/* Accordion */
.uk-accordion-icon svg > [class*="line-"] {
  transition: 0.2s ease-out;
  transition-property: transform, opacity;
  transform-origin: center;
}

[aria-expanded="true"] .uk-accordion-icon svg > .line-1 {
  transform: rotate(-45deg);
  opacity: 0;
}

.uk-accordion-icon svg > .line-2 {
  transform: rotate(90deg);
}

[aria-expanded="true"] .uk-accordion-icon svg > .line-2 {
  transform: rotate(0deg);
}
.uk-accordion-icon {
  padding: 10px;
  border: 1px solid;
  border-radius: 500px;
}
@media (max-width: 639px) {
  /* Text */
  html {
    font-size: 16px;
  }

  .uk-button,
  .uk-link-text {
    font-size: 17px;
  }
  .uk-text-small {
    font-size: 14px;
  }
  h1,
  .uk-h1 {
    font-size: 34px;
  }
  h2,
  .uk-h2 {
    font-size: 26px;
  }
  h3,
  .uk-h3,
  .uk-accordion-default .uk-accordion-title {
    font-size: 22px;
  }
  h4,
  .uk-h4 {
    font-size: 22px;
  }
  ul .uk-h4,
  .uk-text-large {
    font-size: 17px;
  }
  h5,
  h6,
  .uk-h6,
  .uk-h5 {
    font-size: 14px;
  }
  /* Spacing */
}
#tm-dialog-mobile span.class-toggle {
  display: inline-block !important;
  animation: none !important;
  transition: all 0.2s;
  transform: rotate(0deg);
}

#tm-dialog-mobile span.class-toggle.uk-hidden {
  transform: rotate(180deg);
}
#modal-media-video .uk-close svg{
        width: 18px;
}
.uk-slidenav-previous{
  transform: translate(50%);
}
.uk-slidenav-next{
  transform: translate(-50%);
}
@media (max-width: 959px) {
  .deco-2::before,
.deco-2::after {
  left: auto;
  right:  -75px;
}
  .deco-4 {
    position: relative;
  }
  .images-scroll-section .uk-position-absolute {
    position: static !important;
    transform: none !important;
    opacity: 1 !important;
    margin-top: 20px;
    display: none !important;
  }
  .images-scroll-section {
    min-height: 0 !important;
  }

  .images-scroll-section .deco-1 {
    opacity: 1 !important;
  }
  .images-scroll-section .deco-1 picture {
    display: none !important;
  }
  .images-scroll-section .deco-1::before,
  .images-scroll-section .deco-1::after {
    display: none !important;
  }
  .images-scroll-section .uk-position-absolute img {
    width: 100%;
  }
}
@media (max-width: 450px) {
  #hero-start.mobile {
    min-height: 0 !important;
    padding-top: 100px;
  }

  #hero-start.mobile .uk-margin-medium,
  #hero-start.mobile .uk-margin-medium-top {
    margin-top: 20px !important;
  }
}
/* Lenis CSS */
html.lenis,
html.lenis body {
  height: auto;
}

.lenis:not(.lenis-autoToggle).lenis-stopped {
  overflow: clip;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-smooth iframe {
  pointer-events: none;
}

.lenis.lenis-autoToggle {
  transition-property: overflow;
  transition-duration: 1ms;
  transition-behavior: allow-discrete;
}

#tm-main > a:last-child {
  display: none !important;
}
